<p class="title">Preview</p>

<%= link_to h(@myfile.filename), :controller => 'file', :action => 'download', :id => @myfile.id %> in <%= path(@myfile.folder, true) %>

<% unless params[:search].blank? %>
with search query <a href="#hit"><b><%= params[:search] %></b></a> highlighted.
<% end %>

<br>
<br>
<a href="javascript:history.back(-1);">Back</a><br>
<br>

<div class="preview">
    <%= h(@text).gsub("\r\n","<br>").gsub("\n","<br>").gsub('[h]', '<a name="hit"><span class="highlight">').gsub('[/h]', '</span>') %>
</div>
<br>
<a href="javascript:history.back(-1);">Back</a>
